# waitForAnimation

```lua
return function()

    local app = getApp();
    
    local ob = app.createGameObject(); --create object to attach images to
    
    --add the image titled 'welcomeImage' to the object
    applyImage(ob, 'welcomeImage'); 
    
    ob.image.anchor('bottom left', true); --anchors the image to the bottom left... accounting for image dimensions = true
    
    waitForAnimation(ob.image); --pauses script until finished...
   
    applyImage(ob, 'byeImage');
    
    waitForAnimation(ob.image); --pauses script again until byeImage finished animating
    log('finished playing two animations!');
end
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.streamavatars.com/lua-scripting-api/api-reference-and-tips/global-functions/waitforanimation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
